- Request
- Headers
- Body
- DashColorByTheme
- DashStringDefaultValue
- DashControlElement
- DashControlSourceDataset
- DashControlSourceManual
- DashControlSourceExternal
- DashControl
- DashTabControlItem
- DashGroupControlItem
- DashGroupControl
- DashTabGroupControlItem
- DashTabItem
- DashLayoutItem
- DashConnection
- DashGlobalItem
- DashTab
- DashData
- DashMeta
- EntryAnnotationArg
- EntryLocationIdentifiers
- Responses
- 200 OK
Create dashboard
Creates a new dashboard.
Request
POST
https://api.datalens.tech/rpc/createDashboard
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"entry": {
"data": {
"counter": 1,
"salt": "example",
"schemeVersion": 8,
"tabs": [
{}
],
"settings": {
"autoupdateInterval": null,
"maxConcurrentRequests": null,
"loadPriority": "charts",
"silentLoading": true,
"dependentSelectors": true,
"globalParams": {},
"signedGlobalParams": {},
"hideTabs": true,
"hideDashTitle": true,
"expandTOC": true,
"backgroundSettings": {},
"widgetsSettings": {},
"loadOnlyVisibleCharts": true,
"margins": [
null
],
"enableAssistant": true,
"aiChatHistoryEnabled": true
},
"supportDescription": "example",
"accessDescription": "example",
"description": "example"
},
"meta": {},
"annotation": {
"description": "example"
},
"key": "example",
"workbookId": "example",
"name": "example"
}
}
|
Name |
Description |
||||||
|
entry |
All of 2 types
Example
|
DashColorByTheme
|
Name |
Description |
|
dark |
Type: string Color for the dark theme. Example: |
|
light |
Type: string Color for the light theme. Example: |
Example
{
"light": "example",
"dark": "example"
}
DashStringDefaultValue
Any of 2 types
-
Type: string
Example:
example -
Type: string[]
Example
[ "example" ]
Example: example
DashControlElement
One of 4 types
-
Type: object
elementType
Type: string
Select control type.
Const:
selectExample:
exampleaccentType
Type: string | null
Control accent style.
Const:
infoExample:
exampledefaultValue
Any of 2 types
-
Type: string
Example:
example -
Type: string[]
Example
[ "example" ]
Default selected value or values.
Example:
examplefieldType
Type: string
Type of the field used by the control.
Example:
examplehint
Type: string
Control hint text.
Example:
exampleinnerTitle
Type: string
Title displayed inside the control.
Example:
examplemultiselectable
Type: boolean
Whether multiple values can be selected.
operation
Type: string
Filtering operation.
Enum:
IN,NIN,EQ,NE,GT,LT,GTE,LTE,ISNULL,ISNOTNULL,ISTARTSWITH,STARTSWITH,IENDSWITH,ENDSWITH,ICONTAINS,CONTAINS,NOTICONTAINS,NOTCONTAINS,BETWEEN,LENEQ,LENGT,LENGTE,LENLT,LENLTE,NO_SELECTED_VALUESrequired
Type: boolean
Whether the control value is required.
showHint
Type: boolean
Whether to show the control hint.
showInnerTitle
Type: boolean
Whether to show the title inside the control.
showTitle
Type: boolean
Whether to show the control title.
titlePlacement
Type: string
Control title placement.
Enum:
hide,left,topExample
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "fieldType": "example", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "multiselectable": true, "elementType": "select", "defaultValue": "example" } -
-
Type: object
elementType
Type: string
Date control type.
Const:
dateExample:
exampleaccentType
Type: string | null
Control accent style.
Const:
infoExample:
exampledefaultValue
Type: string
Default date value.
Example:
examplefieldType
Type: string
Type of the field used by the control.
Example:
examplehint
Type: string
Control hint text.
Example:
exampleinnerTitle
Type: string
Title displayed inside the control.
Example:
exampleisRange
Type: boolean
Whether the control selects a date range.
operation
Type: string
Filtering operation.
Enum:
IN,NIN,EQ,NE,GT,LT,GTE,LTE,ISNULL,ISNOTNULL,ISTARTSWITH,STARTSWITH,IENDSWITH,ENDSWITH,ICONTAINS,CONTAINS,NOTICONTAINS,NOTCONTAINS,BETWEEN,LENEQ,LENGT,LENGTE,LENLT,LENLTE,NO_SELECTED_VALUESrequired
Type: boolean
Whether the control value is required.
showHint
Type: boolean
Whether to show the control hint.
showInnerTitle
Type: boolean
Whether to show the title inside the control.
showTitle
Type: boolean
Whether to show the control title.
titlePlacement
Type: string
Control title placement.
Enum:
hide,left,topExample
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "fieldType": "example", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "isRange": true, "elementType": "date", "defaultValue": "example" } -
Type: object
elementType
Type: string
Input control type.
Const:
inputExample:
exampleaccentType
Type: string | null
Control accent style.
Const:
infoExample:
exampledefaultValue
Type: string
Default input value.
Example:
examplefieldType
Type: string
Type of the field used by the control.
Example:
examplehint
Type: string
Control hint text.
Example:
exampleinnerTitle
Type: string
Title displayed inside the control.
Example:
exampleoperation
Type: string
Filtering operation.
Enum:
IN,NIN,EQ,NE,GT,LT,GTE,LTE,ISNULL,ISNOTNULL,ISTARTSWITH,STARTSWITH,IENDSWITH,ENDSWITH,ICONTAINS,CONTAINS,NOTICONTAINS,NOTCONTAINS,BETWEEN,LENEQ,LENGT,LENGTE,LENLT,LENLTE,NO_SELECTED_VALUESrequired
Type: boolean
Whether the control value is required.
showHint
Type: boolean
Whether to show the control hint.
showInnerTitle
Type: boolean
Whether to show the title inside the control.
showTitle
Type: boolean
Whether to show the control title.
titlePlacement
Type: string
Control title placement.
Enum:
hide,left,topExample
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "fieldType": "example", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "elementType": "input", "defaultValue": "example" } -
Type: object
defaultValue
Type: string
Default checkbox value.
Example:
exampleelementType
Type: string
Checkbox control type.
Const:
checkboxExample:
exampleaccentType
Type: string | null
Control accent style.
Const:
infoExample:
examplefieldType
Type: string
Type of the field used by the control.
Example:
examplehint
Type: string
Control hint text.
Example:
exampleinnerTitle
Type: string
Title displayed inside the control.
Example:
exampleoperation
Type: string
Filtering operation.
Enum:
IN,NIN,EQ,NE,GT,LT,GTE,LTE,ISNULL,ISNOTNULL,ISTARTSWITH,STARTSWITH,IENDSWITH,ENDSWITH,ICONTAINS,CONTAINS,NOTICONTAINS,NOTCONTAINS,BETWEEN,LENEQ,LENGT,LENGTE,LENLT,LENLTE,NO_SELECTED_VALUESrequired
Type: boolean
Whether the control value is required.
showHint
Type: boolean
Whether to show the control hint.
showInnerTitle
Type: boolean
Whether to show the title inside the control.
showTitle
Type: boolean
Whether to show the control title.
titlePlacement
Type: string
Control title placement.
Enum:
hide,left,topExample
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "fieldType": "example", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "elementType": "checkbox", "defaultValue": "example" }
Example
{
"required": true,
"showHint": true,
"showTitle": true,
"hint": "example",
"accentType": "info",
"fieldType": "example",
"innerTitle": "example",
"showInnerTitle": true,
"operation": "IN",
"titlePlacement": "hide",
"multiselectable": true,
"elementType": "select",
"defaultValue": "example"
}
DashControlSourceDataset
Dataset control source.
All of 2 types
-
Type: DashControlElement
Example
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "fieldType": "example", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "multiselectable": true, "elementType": "select", "defaultValue": "example" } -
Type: object
datasetFieldId
Type: string
Source dataset field identifier.
Min length:
1Example:
exampledatasetId
Type: string
Source dataset identifier.
Min length:
1Example:
exampledatasetFieldType
Type: string
Source dataset field type.
Enum:
DIMENSION,MEASURE,PSEUDO,PARAMETERExample
{ "datasetId": "example", "datasetFieldId": "example", "datasetFieldType": "DIMENSION" }
Example
{
"required": true,
"showHint": true,
"showTitle": true,
"hint": "example",
"accentType": "info",
"fieldType": "example",
"innerTitle": "example",
"showInnerTitle": true,
"operation": "IN",
"titlePlacement": "hide",
"multiselectable": true,
"elementType": "select",
"defaultValue": "example",
"datasetId": "example",
"datasetFieldId": "example",
"datasetFieldType": "DIMENSION"
}
DashControlSourceManual
Manual control source.
All of 2 types
-
Type: DashControlElement
Example
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "fieldType": "example", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "multiselectable": true, "elementType": "select", "defaultValue": "example" } -
Type: object
fieldName
Type: string
Parameter name for the manual control.
Min length:
1Example:
exampleacceptableValues
Any of 2 types
-
Type: object[]
title
Type: string
Label for the allowed value.
Example:
examplevalue
Type: string
Allowed control value.
Example:
exampleExample
[ { "value": "example", "title": "example" } ] -
Type: object
from
Type: string
Start of the allowed value range.
Example:
exampleto
Type: string
End of the allowed value range.
Example:
exampleExample
{ "from": "example", "to": "example" }
Values accepted by the manual control.
Example
[ { "value": "example", "title": "example" } ]Example
{ "fieldName": "example", "acceptableValues": [ { "value": "example", "title": "example" } ] } -
Example
{
"required": true,
"showHint": true,
"showTitle": true,
"hint": "example",
"accentType": "info",
"fieldType": "example",
"innerTitle": "example",
"showInnerTitle": true,
"operation": "IN",
"titlePlacement": "hide",
"multiselectable": true,
"elementType": "select",
"defaultValue": "example",
"fieldName": "example",
"acceptableValues": [
{
"value": "example",
"title": "example"
}
]
}
DashControlSourceExternal
External control source.
|
Name |
Description |
|
chartId |
Type: string Source chart identifier. Min length: Example: |
Example
{
"chartId": "example"
}
DashControl
Control item data.
One of 3 types
-
Type: object
source
Type: DashControlSourceDataset
Dataset control source.
Example
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "fieldType": "example", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "multiselectable": true, "elementType": "select", "defaultValue": "example", "datasetId": "example", "datasetFieldId": "example", "datasetFieldType": "DIMENSION" }sourceType
Type: string
Dataset control source type.
Const:
datasetExample:
exampletitle
Type: string
Control title.
Min length:
1Example:
exampleautoHeight
Type: boolean
Whether to adjust the control height to its content.
backgroundSettings
Type: object
color
Any of 2 types
-
Type: DashColorByTheme
Example
{ "light": "example", "dark": "example" } -
Type: string
Example:
example
Widget background color in hex.
Example
{ "light": "example", "dark": "example" }Control background settings.
Example
{ "color": { "light": "example", "dark": "example" } }borderRadius
Type: number
Control border radius.
impactTabsIds
Type: array | null
Identifiers of tabs selected by the impact scope.
Example
[ "example" ]impactType
Type: string
Scope of tabs affected by the control.
Enum:
allTabs,currentTab,selectedTabs,asGroupExample
{ "title": "example", "impactType": "allTabs", "impactTabsIds": [ "example" ], "backgroundSettings": { "color": { "light": "example", "dark": "example" } }, "borderRadius": 0.5, "autoHeight": true, "sourceType": "dataset", "source": { "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "fieldType": "example", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "multiselectable": true, "elementType": "select", "defaultValue": "example", "datasetId": "example", "datasetFieldId": "example", "datasetFieldType": "DIMENSION" } } -
-
Type: object
source
Type: DashControlSourceManual
Manual control source.
Example
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "fieldType": "example", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "multiselectable": true, "elementType": "select", "defaultValue": "example", "fieldName": "example", "acceptableValues": [ { "value": "example", "title": "example" } ] }sourceType
Type: string
Manual control source type.
Const:
manualExample:
exampletitle
Type: string
Control title.
Min length:
1Example:
exampleautoHeight
Type: boolean
Whether to adjust the control height to its content.
backgroundSettings
Type: object
color
Any of 2 types
-
Type: DashColorByTheme
Example
{ "light": "example", "dark": "example" } -
Type: string
Example:
example
Widget background color in hex.
Example
{ "light": "example", "dark": "example" }Control background settings.
Example
{ "color": { "light": "example", "dark": "example" } }borderRadius
Type: number
Control border radius.
impactTabsIds
Type: array | null
Identifiers of tabs selected by the impact scope.
Example
[ "example" ]impactType
Type: string
Scope of tabs affected by the control.
Enum:
allTabs,currentTab,selectedTabs,asGroupExample
{ "title": "example", "impactType": "allTabs", "impactTabsIds": [ "example" ], "backgroundSettings": { "color": { "light": "example", "dark": "example" } }, "borderRadius": 0.5, "autoHeight": true, "sourceType": "manual", "source": { "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "fieldType": "example", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "multiselectable": true, "elementType": "select", "defaultValue": "example", "fieldName": "example", "acceptableValues": [ {} ] } } -
-
Type: object
source
Type: DashControlSourceExternal
External control source.
Example
{ "chartId": "example" }sourceType
Type: string
External control source type.
Const:
externalExample:
exampletitle
Type: string
Control title.
Min length:
1Example:
exampleautoHeight
Type: boolean
Whether to adjust the control height to its content.
backgroundSettings
Type: object
color
Any of 2 types
-
Type: DashColorByTheme
Example
{ "light": "example", "dark": "example" } -
Type: string
Example:
example
Widget background color in hex.
Example
{ "light": "example", "dark": "example" }Control background settings.
Example
{ "color": { "light": "example", "dark": "example" } }borderRadius
Type: number
Control border radius.
impactTabsIds
Type: array | null
Identifiers of tabs selected by the impact scope.
Example
[ "example" ]impactType
Type: string
Scope of tabs affected by the control.
Enum:
allTabs,currentTab,selectedTabs,asGroupExample
{ "title": "example", "impactType": "allTabs", "impactTabsIds": [ "example" ], "backgroundSettings": { "color": { "light": "example", "dark": "example" } }, "borderRadius": 0.5, "autoHeight": true, "sourceType": "external", "source": { "chartId": "example" } } -
Example
{
"title": "example",
"impactType": "allTabs",
"impactTabsIds": [
"example"
],
"backgroundSettings": {
"color": {
"light": "example",
"dark": "example"
}
},
"borderRadius": 0.5,
"autoHeight": true,
"sourceType": "dataset",
"source": {
"required": true,
"showHint": true,
"showTitle": true,
"hint": "example",
"accentType": "info",
"fieldType": "example",
"innerTitle": "example",
"showInnerTitle": true,
"operation": "IN",
"titlePlacement": "hide",
"multiselectable": true,
"elementType": "select",
"defaultValue": null,
"datasetId": "example",
"datasetFieldId": "example",
"datasetFieldType": "DIMENSION"
}
}
DashTabControlItem
|
Name |
Description |
||
|
data |
Type: DashControl Control item data. Example
|
||
|
defaults |
Type: object
Default control values. Example
|
||
|
id |
Type: string Dashboard item identifier. Min length: Example: |
||
|
namespace |
Type: string Item namespace. Const: Example: |
||
|
type |
Type: string Control item type. Const: Example: |
||
|
defaultOrderId |
Type: number Default item order. |
||
|
orderId |
Type: number Current item order. |
Example
{
"id": "example",
"namespace": "default",
"orderId": 0.5,
"defaultOrderId": 0.5,
"type": "control",
"data": {
"title": "example",
"impactType": "allTabs",
"impactTabsIds": [
"example"
],
"backgroundSettings": {
"color": {}
},
"borderRadius": 0.5,
"autoHeight": true,
"sourceType": "dataset",
"source": {
"datasetId": "example",
"datasetFieldId": "example",
"datasetFieldType": "DIMENSION"
}
},
"defaults": {}
}
DashGroupControlItem
One of 2 types
-
Type: object
id
Type: string
Control identifier.
Min length:
1Example:
examplenamespace
Type: string
Control namespace.
Const:
defaultExample:
examplesource
Type: DashControlSourceDataset
Dataset control source.
Example
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "fieldType": "example", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "multiselectable": true, "elementType": "select", "defaultValue": "example", "datasetId": "example", "datasetFieldId": "example", "datasetFieldType": "DIMENSION" }sourceType
Type: string
Dataset control source type.
Const:
datasetExample:
exampletitle
Type: string
Control title.
Min length:
1Example:
exampledefaults
Type: object
[additional]
Type: DashStringDefaultValue
Example:
exampleDefault control values.
Example
{}impactTabsIds
Type: array | null
Identifiers of tabs selected by the impact scope.
Example
[ "example" ]impactType
Type: string
Scope of tabs affected by the control.
Enum:
allTabs,currentTab,selectedTabs,asGroupplacementMode
Type: string
Control placement mode.
Enum:
auto,%,pxwidth
Type: string
Control width.
Example:
exampleExample
{ "title": "example", "impactType": "allTabs", "impactTabsIds": [ "example" ], "id": "example", "namespace": "default", "defaults": {}, "placementMode": "auto", "width": "example", "sourceType": "dataset", "source": { "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "fieldType": "example", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "multiselectable": true, "elementType": "select", "defaultValue": "example", "datasetId": "example", "datasetFieldId": "example", "datasetFieldType": "DIMENSION" } } -
Type: object
id
Type: string
Control identifier.
Min length:
1Example:
examplenamespace
Type: string
Control namespace.
Const:
defaultExample:
examplesource
Type: DashControlSourceManual
Manual control source.
Example
{ "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "fieldType": "example", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "multiselectable": true, "elementType": "select", "defaultValue": "example", "fieldName": "example", "acceptableValues": [ { "value": "example", "title": "example" } ] }sourceType
Type: string
Manual control source type.
Const:
manualExample:
exampletitle
Type: string
Control title.
Min length:
1Example:
exampledefaults
Type: object
[additional]
Type: DashStringDefaultValue
Example:
exampleDefault control values.
Example
{}impactTabsIds
Type: array | null
Identifiers of tabs selected by the impact scope.
Example
[ "example" ]impactType
Type: string
Scope of tabs affected by the control.
Enum:
allTabs,currentTab,selectedTabs,asGroupplacementMode
Type: string
Control placement mode.
Enum:
auto,%,pxwidth
Type: string
Control width.
Example:
exampleExample
{ "title": "example", "impactType": "allTabs", "impactTabsIds": [ "example" ], "id": "example", "namespace": "default", "defaults": {}, "placementMode": "auto", "width": "example", "sourceType": "manual", "source": { "required": true, "showHint": true, "showTitle": true, "hint": "example", "accentType": "info", "fieldType": "example", "innerTitle": "example", "showInnerTitle": true, "operation": "IN", "titlePlacement": "hide", "multiselectable": true, "elementType": "select", "defaultValue": "example", "fieldName": "example", "acceptableValues": [ {} ] } }
Example
{
"title": "example",
"impactType": "allTabs",
"impactTabsIds": [
"example"
],
"id": "example",
"namespace": "default",
"defaults": {},
"placementMode": "auto",
"width": "example",
"sourceType": "dataset",
"source": {
"required": true,
"showHint": true,
"showTitle": true,
"hint": "example",
"accentType": "info",
"fieldType": "example",
"innerTitle": "example",
"showInnerTitle": true,
"operation": "IN",
"titlePlacement": "hide",
"multiselectable": true,
"elementType": "select",
"defaultValue": null,
"datasetId": "example",
"datasetFieldId": "example",
"datasetFieldType": "DIMENSION"
}
}
DashGroupControl
Control group item data.
|
Name |
Description |
||
|
autoHeight |
Type: boolean Whether to adjust the group height to its content. |
||
|
buttonApply |
Type: boolean Whether to show the Apply button. |
||
|
buttonReset |
Type: boolean Whether to show the Reset button. |
||
|
group |
Type: DashGroupControlItem[] Controls in the group. Example
|
||
|
showGroupName |
Type: boolean Whether to show the control group name. |
||
|
backgroundSettings |
Type: object
Control group background settings. Example
|
||
|
borderRadius |
Type: number Control group border radius. |
||
|
groupName |
Type: string Control group name. Example: |
||
|
impactTabsIds |
Type: array | null Identifiers of tabs affected by the control group. Example
|
||
|
impactType |
Type: string Tabs affected by the control group. Enum: |
||
|
updateControlsOnChange |
Type: boolean Whether controls update immediately after a value changes. |
Example
{
"autoHeight": true,
"buttonApply": true,
"buttonReset": true,
"showGroupName": true,
"groupName": "example",
"impactType": "allTabs",
"impactTabsIds": [
"example"
],
"updateControlsOnChange": true,
"backgroundSettings": {
"color": {
"light": "example",
"dark": "example"
}
},
"borderRadius": 0.5,
"group": [
{
"title": "example",
"impactType": "allTabs",
"impactTabsIds": [
"example"
],
"id": "example",
"namespace": "default",
"defaults": {},
"placementMode": "auto",
"width": "example",
"sourceType": "dataset",
"source": null
}
]
}
DashTabGroupControlItem
|
Name |
Description |
|
data |
Type: DashGroupControl Control group item data. Example
|
|
id |
Type: string Dashboard item identifier. Min length: Example: |
|
namespace |
Type: string Item namespace. Const: Example: |
|
type |
Type: string Control group item type. Const: Example: |
|
defaultOrderId |
Type: number Default item order. |
|
orderId |
Type: number Current item order. |
Example
{
"id": "example",
"namespace": "default",
"orderId": 0.5,
"defaultOrderId": 0.5,
"type": "group_control",
"data": {
"autoHeight": true,
"buttonApply": true,
"buttonReset": true,
"showGroupName": true,
"groupName": "example",
"impactType": "allTabs",
"impactTabsIds": [
"example"
],
"updateControlsOnChange": true,
"backgroundSettings": {
"color": {
"light": "example",
"dark": "example"
}
},
"borderRadius": 0.5,
"group": [
{
"title": "example",
"impactType": "allTabs",
"impactTabsIds": [
null
],
"id": "example",
"namespace": "default",
"defaults": {},
"placementMode": "auto",
"width": "example",
"sourceType": "dataset",
"source": null
}
]
}
}
DashTabItem
One of 7 types
-
Type: object
data
Type: object
text
Type: string
Text item content.
Example:
exampleautoHeight
Type: boolean
Whether to adjust the item height to its content.
background
Type: object
color
Type: string
Legacy background color.
Example:
exampleenabled
Type: boolean
Whether the legacy background is enabled.
Deprecated. Use backgroundSettings instead.
Example
{ "enabled": true, "color": "example" }backgroundSettings
Type: object
color
Any of 2 types
-
Type: DashColorByTheme
Example
{ "light": "example", "dark": "example" } -
Type: string
Example:
example
Widget background color in hex.
Example
{ "light": "example", "dark": "example" }Text item background settings.
Example
{ "color": { "light": "example", "dark": "example" } }borderRadius
Type: number
Text item border radius.
Text item data.
Example
{ "text": "example", "autoHeight": true, "background": { "enabled": true, "color": "example" }, "backgroundSettings": { "color": { "light": "example", "dark": "example" } }, "borderRadius": 0.5 }id
Type: string
Dashboard item identifier.
Min length:
1Example:
examplenamespace
Type: string
Item namespace.
Const:
defaultExample:
exampletype
Type: string
Text item type.
Const:
textExample:
exampledefaultOrderId
Type: number
Default item order.
orderId
Type: number
Current item order.
Example
{ "id": "example", "namespace": "default", "orderId": 0.5, "defaultOrderId": 0.5, "type": "text", "data": { "text": "example", "autoHeight": true, "background": { "enabled": true, "color": "example" }, "backgroundSettings": { "color": { "light": "example", "dark": "example" } }, "borderRadius": 0.5 } } -
-
Type: object
data
Type: object
size
Any of 2 types
-
Type: string
Enum:
xl,l,m,s,xs -
Type: object
fontSize
Type: number
Title font size.
lineHeight
Type: number
Title line height.
Example
{ "fontSize": 0.5, "lineHeight": 0.5 }
Title size settings.
Example:
xltext
Type: string
Title text.
Example:
exampleautoHeight
Type: boolean
Whether to adjust the title height to its content.
background
Type: object
color
Type: string
Legacy background color.
Example:
exampleenabled
Type: boolean
Whether the legacy background is enabled.
Deprecated. Use backgroundSettings.
Example
{ "enabled": true, "color": "example" }backgroundSettings
Type: object
color
Any of 2 types
-
Type: DashColorByTheme
Example
{ "light": "example", "dark": "example" } -
Type: string
Example:
example
Widget background color in hex.
Example
{ "light": "example", "dark": "example" }Title background settings.
Example
{ "color": { "light": "example", "dark": "example" } }borderRadius
Type: number
Title border radius.
hint
Type: object
enabled
Type: boolean
Whether the title hint is enabled.
text
Type: string
Title hint text.
Example:
exampleTitle hint settings.
Example
{ "enabled": true, "text": "example" }showInTOC
Type: boolean
Whether to show the title in the table of contents.
textColor
Type: string
Deprecated. Use textSettings.
Example:
exampletextSettings
Type: object
color
Any of 2 types
-
Type: DashColorByTheme
Example
{ "light": "example", "dark": "example" } -
Type: string
Example:
example
Title text color.
Example
{ "light": "example", "dark": "example" }Title text settings.
Example
{ "color": { "light": "example", "dark": "example" } }Title item data.
Example
{ "text": "example", "size": "xl", "showInTOC": true, "autoHeight": true, "textColor": "example", "textSettings": { "color": { "light": "example", "dark": "example" } }, "hint": { "enabled": true, "text": "example" }, "background": { "enabled": true, "color": "example" }, "backgroundSettings": { "color": null }, "borderRadius": 0.5 }id
Type: string
Dashboard item identifier.
Min length:
1Example:
examplenamespace
Type: string
Item namespace.
Const:
defaultExample:
exampletype
Type: string
Title item type.
Const:
titleExample:
exampledefaultOrderId
Type: number
Default item order.
orderId
Type: number
Current item order.
Example
{ "id": "example", "namespace": "default", "orderId": 0.5, "defaultOrderId": 0.5, "type": "title", "data": { "text": "example", "size": "xl", "showInTOC": true, "autoHeight": true, "textColor": "example", "textSettings": { "color": { "light": "example", "dark": "example" } }, "hint": { "enabled": true, "text": "example" }, "background": { "enabled": true, "color": "example" }, "backgroundSettings": { "color": null }, "borderRadius": 0.5 } } -
-
Type: object
data
Type: object
hideTitle
Type: boolean
Whether to hide the widget title.
tabs
Type: object[]
chartId
Type: string
Chart identifier.
Min length:
1Example:
exampleid
Type: string
Widget tab identifier.
Min length:
1Example:
exampleparams
Type: object
[additional]
Type: DashStringDefaultValue
Example:
exampleParameters passed to the chart.
Example
{}title
Type: string
Widget tab title.
Min length:
1Example:
exampleautoHeight
Type: boolean
Whether to adjust the widget height to its content.
background
Type: object
color
Type: string
Legacy background color.
Example:
exampleenabled
Type: boolean
Whether the legacy background is enabled.
Deprecated. Use backgroundSettings.
Example
{ "enabled": true, "color": "example" }description
Type: string
Widget tab description.
Example:
exampleenableActionParams
Type: boolean
Whether chart actions can update parameters.
enableDescription
Type: boolean
Whether the widget tab description is enabled.
enableHint
Type: boolean
Whether the widget tab hint is enabled.
hint
Type: string
Widget tab hint.
Example:
exampleisDefault
Type: boolean
Whether this is the default widget tab.
Widget tabs.
Example
[ { "id": "example", "title": "example", "description": "example", "hint": "example", "enableHint": true, "enableDescription": true, "chartId": "example", "isDefault": true, "params": {}, "autoHeight": true, "enableActionParams": true, "background": { "enabled": true, "color": "example" } } ]backgroundSettings
Type: object
color
Any of 2 types
-
Type: DashColorByTheme
Example
{ "light": "example", "dark": "example" } -
Type: string
Example:
example
Widget background color in hex.
Example
{ "light": "example", "dark": "example" }Widget background settings.
Example
{ "color": { "light": "example", "dark": "example" } }borderRadius
Type: number
Widget border radius.
Widget item data.
Example
{ "hideTitle": true, "backgroundSettings": { "color": { "light": "example", "dark": "example" } }, "borderRadius": 0.5, "tabs": [ { "id": "example", "title": "example", "description": "example", "hint": "example", "enableHint": true, "enableDescription": true, "chartId": "example", "isDefault": true, "params": {}, "autoHeight": true, "enableActionParams": true, "background": { "enabled": true, "color": "example" } } ] }id
Type: string
Dashboard item identifier.
Min length:
1Example:
examplenamespace
Type: string
Item namespace.
Const:
defaultExample:
exampletype
Type: string
Widget item type.
Const:
widgetExample:
exampledefaultOrderId
Type: number
Default item order.
orderId
Type: number
Current item order.
Example
{ "id": "example", "namespace": "default", "orderId": 0.5, "defaultOrderId": 0.5, "type": "widget", "data": { "hideTitle": true, "backgroundSettings": { "color": { "light": "example", "dark": "example" } }, "borderRadius": 0.5, "tabs": [ { "id": "example", "title": "example", "description": "example", "hint": "example", "enableHint": true, "enableDescription": true, "chartId": "example", "isDefault": true, "params": {}, "autoHeight": true, "enableActionParams": true, "background": { "enabled": true, "color": "example" } } ] } } -
-
Type: object
data
Type: object
src
Type: string
Image source URL.
Example:
examplealt
Type: string
Alternative text for the image.
Example:
examplebackground
Type: object
color
Type: string
Legacy background color.
Example:
exampleenabled
Type: boolean
Whether the legacy background is enabled.
Deprecated. Use backgroundSettings.
Example
{ "enabled": true, "color": "example" }backgroundSettings
Type: object
color
Any of 2 types
-
Type: DashColorByTheme
Example
{ "light": "example", "dark": "example" } -
Type: string
Example:
example
Widget background color in hex.
Example
{ "light": "example", "dark": "example" }Image background settings.
Example
{ "color": { "light": "example", "dark": "example" } }borderRadius
Type: number
Image border radius.
preserveAspectRatio
Type: boolean
Whether to preserve the image aspect ratio.
Image item data.
Example
{ "src": "example", "alt": "example", "preserveAspectRatio": true, "background": { "enabled": true, "color": "example" }, "backgroundSettings": { "color": { "light": "example", "dark": "example" } }, "borderRadius": 0.5 }id
Type: string
Dashboard item identifier.
Min length:
1Example:
examplenamespace
Type: string
Item namespace.
Const:
defaultExample:
exampletype
Type: string
Image item type.
Const:
imageExample:
exampledefaultOrderId
Type: number
Default item order.
orderId
Type: number
Current item order.
Example
{ "id": "example", "namespace": "default", "orderId": 0.5, "defaultOrderId": 0.5, "type": "image", "data": { "src": "example", "alt": "example", "preserveAspectRatio": true, "background": { "enabled": true, "color": "example" }, "backgroundSettings": { "color": { "light": "example", "dark": "example" } }, "borderRadius": 0.5 } } -
-
Type: object
data
Type: object
hideTitle
Type: boolean
Whether to hide the insight widget title.
prompt
Type: string
Prompt used to generate the widget.
Min length:
1Example:
examplewidgetTabId
Type: string
Neuro widget tab identifier.
Min length:
1Example:
examplebackgroundSettings
Type: object
color
Any of 2 types
-
Type: DashColorByTheme
Example
{ "light": "example", "dark": "example" } -
Type: string
Example:
example
Widget background color in hex.
Example
{ "light": "example", "dark": "example" }Neuro widget background settings.
Example
{ "color": { "light": "example", "dark": "example" } }borderRadius
Type: number
Insight widget border radius.
hideActions
Type: boolean
Whether to hide insight widget actions.
title
Type: string
Neuro widget title.
Example:
exampleNeuro widget item data.
Example
{ "widgetTabId": "example", "title": "example", "prompt": "example", "hideTitle": true, "backgroundSettings": { "color": { "light": "example", "dark": "example" } }, "borderRadius": 0.5, "hideActions": true }id
Type: string
Dashboard item identifier.
Min length:
1Example:
examplenamespace
Type: string
Item namespace.
Const:
defaultExample:
exampletype
Type: string
Insight widget item type.
Const:
neuro_widgetExample:
exampledefaultOrderId
Type: number
Default item order.
orderId
Type: number
Current item order.
Example
{ "id": "example", "namespace": "default", "orderId": 0.5, "defaultOrderId": 0.5, "type": "neuro_widget", "data": { "widgetTabId": "example", "title": "example", "prompt": "example", "hideTitle": true, "backgroundSettings": { "color": { "light": "example", "dark": "example" } }, "borderRadius": 0.5, "hideActions": true } } -
-
Type: DashTabControlItem
Example
{ "id": "example", "namespace": "default", "orderId": 0.5, "defaultOrderId": 0.5, "type": "control", "data": { "title": "example", "impactType": "allTabs", "impactTabsIds": [ "example" ], "backgroundSettings": { "color": {} }, "borderRadius": 0.5, "autoHeight": true, "sourceType": "dataset", "source": { "datasetId": "example", "datasetFieldId": "example", "datasetFieldType": "DIMENSION" } }, "defaults": {} } -
Type: DashTabGroupControlItem
Example
{ "id": "example", "namespace": "default", "orderId": 0.5, "defaultOrderId": 0.5, "type": "group_control", "data": { "autoHeight": true, "buttonApply": true, "buttonReset": true, "showGroupName": true, "groupName": "example", "impactType": "allTabs", "impactTabsIds": [ "example" ], "updateControlsOnChange": true, "backgroundSettings": { "color": { "light": "example", "dark": "example" } }, "borderRadius": 0.5, "group": [ { "title": "example", "impactType": "allTabs", "impactTabsIds": [ null ], "id": "example", "namespace": "default", "defaults": {}, "placementMode": "auto", "width": "example", "sourceType": "dataset", "source": null } ] } }
Example
{
"id": "example",
"namespace": "default",
"orderId": 0.5,
"defaultOrderId": 0.5,
"type": "text",
"data": {
"text": "example",
"autoHeight": true,
"background": {
"enabled": true,
"color": "example"
},
"backgroundSettings": {
"color": {}
},
"borderRadius": 0.5
}
}
DashLayoutItem
|
Name |
Description |
|
h |
Type: number Item height in grid units. |
|
i |
Type: string Dashboard item identifier. Min length: Example: |
|
w |
Type: number Item width in grid units. |
|
x |
Type: number Horizontal grid position. |
|
y |
Type: number Vertical grid position. |
|
parent |
Type: string Parent item identifier. Example: |
Example
{
"i": "example",
"h": 0.5,
"w": 0.5,
"x": 0.5,
"y": 0.5,
"parent": "example"
}
DashConnection
|
Name |
Description |
|
from |
Type: string Source widget identifier. Min length: Example: |
|
kind |
Type: string Connection type. Const: Example: |
|
to |
Type: string Target widget identifier. Min length: Example: |
Example
{
"from": "example",
"to": "example",
"kind": "ignore"
}
DashGlobalItem
One of 2 types
-
Type: DashTabControlItem
Example
{ "id": "example", "namespace": "default", "orderId": 0.5, "defaultOrderId": 0.5, "type": "control", "data": { "title": "example", "impactType": "allTabs", "impactTabsIds": [ "example" ], "backgroundSettings": { "color": {} }, "borderRadius": 0.5, "autoHeight": true, "sourceType": "dataset", "source": { "datasetId": "example", "datasetFieldId": "example", "datasetFieldType": "DIMENSION" } }, "defaults": {} } -
Type: DashTabGroupControlItem
Example
{ "id": "example", "namespace": "default", "orderId": 0.5, "defaultOrderId": 0.5, "type": "group_control", "data": { "autoHeight": true, "buttonApply": true, "buttonReset": true, "showGroupName": true, "groupName": "example", "impactType": "allTabs", "impactTabsIds": [ "example" ], "updateControlsOnChange": true, "backgroundSettings": { "color": { "light": "example", "dark": "example" } }, "borderRadius": 0.5, "group": [ { "title": "example", "impactType": "allTabs", "impactTabsIds": [ null ], "id": "example", "namespace": "default", "defaults": {}, "placementMode": "auto", "width": "example", "sourceType": "dataset", "source": null } ] } }
Example
{
"id": "example",
"namespace": "default",
"orderId": 0.5,
"defaultOrderId": 0.5,
"type": "control",
"data": {
"title": "example",
"impactType": "allTabs",
"impactTabsIds": [
"example"
],
"backgroundSettings": {
"color": null
},
"borderRadius": 0.5,
"autoHeight": true,
"sourceType": "dataset",
"source": null
},
"defaults": {}
}
DashTab
|
Name |
Description |
||||
|
aliases |
Type: object
Field aliases used on the tab. Example
|
||||
|
connections |
Type: DashConnection[] Connections between tab items. Example
|
||||
|
id |
Type: string Tab identifier. Min length: Example: |
||||
|
items |
Type: DashTabItem[] Items displayed on the tab. Example
|
||||
|
layout |
Type: DashLayoutItem[] Item layout on the tab. Example
|
||||
|
title |
Type: string Tab title. Min length: Example: |
||||
|
globalItems |
Type: DashGlobalItem[] Global items visible on the tab. Example
|
||||
|
hidden |
Type: boolean Whether the tab is hidden. |
||||
|
settings |
Type: object
Tab settings. Example
|
Example
{
"id": "example",
"title": "example",
"hidden": true,
"items": [
{
"id": "example",
"namespace": "default",
"orderId": 0.5,
"defaultOrderId": 0.5,
"type": "text",
"data": {
"text": "example",
"autoHeight": true,
"background": {},
"backgroundSettings": {},
"borderRadius": 0.5
}
}
],
"layout": [
{
"i": "example",
"h": 0.5,
"w": 0.5,
"x": 0.5,
"y": 0.5,
"parent": "example"
}
],
"connections": [
{
"from": "example",
"to": "example",
"kind": "ignore"
}
],
"aliases": {
"default": [
[
"example",
"example"
]
]
},
"globalItems": [
{
"id": "example",
"namespace": "default",
"orderId": 0.5,
"defaultOrderId": 0.5,
"type": "control",
"data": {},
"defaults": {}
}
],
"settings": {
"fixedHeaderCollapsedDefault": true,
"isGoldenset": true
}
}
DashData
|
Name |
Description |
||||||||||||||||||||||||||||||||||||||||||||
|
counter |
Type: integer Counter used to generate item identifiers. Min value: |
||||||||||||||||||||||||||||||||||||||||||||
|
salt |
Type: string Salt used to generate item identifiers. Min length: Example: |
||||||||||||||||||||||||||||||||||||||||||||
|
schemeVersion |
Type: number Dashboard schema version. Const: |
||||||||||||||||||||||||||||||||||||||||||||
|
settings |
Type: object
Dashboard settings. Example
|
||||||||||||||||||||||||||||||||||||||||||||
|
tabs |
Type: DashTab[] Dashboard tabs. Example
|
||||||||||||||||||||||||||||||||||||||||||||
|
accessDescription |
Type: string Custom message shown when access is denied. Example: |
||||||||||||||||||||||||||||||||||||||||||||
|
description |
Type: string Deprecated. Use Example: |
||||||||||||||||||||||||||||||||||||||||||||
|
supportDescription |
Type: string Custom message shown when contacting support. Example: |
Example
{
"counter": 1,
"salt": "example",
"schemeVersion": 8,
"tabs": [
{
"id": "example",
"title": "example",
"hidden": true,
"items": [
{}
],
"layout": [
{
"i": "example",
"h": 0.5,
"w": 0.5,
"x": 0.5,
"y": 0.5,
"parent": "example"
}
],
"connections": [
{
"from": "example",
"to": "example",
"kind": "ignore"
}
],
"aliases": {
"default": [
[
null,
null
]
]
},
"globalItems": [
{}
],
"settings": {
"fixedHeaderCollapsedDefault": true,
"isGoldenset": true
}
}
],
"settings": {
"autoupdateInterval": 30,
"maxConcurrentRequests": 1,
"loadPriority": "charts",
"silentLoading": true,
"dependentSelectors": true,
"globalParams": {},
"signedGlobalParams": {},
"hideTabs": true,
"hideDashTitle": true,
"expandTOC": true,
"backgroundSettings": {
"color": {
"light": "example",
"dark": "example"
}
},
"widgetsSettings": {
"borderRadius": 0.5,
"backgroundSettings": {
"color": null
}
},
"loadOnlyVisibleCharts": true,
"margins": [
null
],
"enableAssistant": true,
"aiChatHistoryEnabled": true
},
"supportDescription": "example",
"accessDescription": "example",
"description": "example"
}
DashMeta
Type: object | null
Example
{}
EntryAnnotationArg
|
Name |
Description |
|
description |
Type: string Description of the entry. Example: |
Example
{
"description": "example"
}
EntryLocationIdentifiers
|
Name |
Description |
|
key |
Type: string Entry key when creating the entry in a folder. Example: |
|
name |
Type: string Entry name when creating the entry in a workbook. Example: |
|
workbookId |
Type: string ID of the workbook where the entry should be created. Example: |
Example
{
"key": "example",
"workbookId": "example",
"name": "example"
}
Responses
200 OK
Response
Body
application/json
{
"entry": {
"annotation": {
"description": "example"
},
"createdAt": "example",
"createdBy": "example",
"data": {
"counter": 1,
"salt": "example",
"schemeVersion": 8,
"tabs": [
{
"id": "example",
"title": "example",
"hidden": true,
"items": [
null
],
"layout": [
null
],
"connections": [
null
],
"aliases": {},
"globalItems": [
null
],
"settings": {}
}
],
"settings": {
"autoupdateInterval": 30,
"maxConcurrentRequests": 1,
"loadPriority": "charts",
"silentLoading": true,
"dependentSelectors": true,
"globalParams": {},
"signedGlobalParams": {},
"hideTabs": true,
"hideDashTitle": true,
"expandTOC": true,
"backgroundSettings": {
"color": null
},
"widgetsSettings": {
"borderRadius": 0.5,
"backgroundSettings": {}
},
"loadOnlyVisibleCharts": true,
"margins": [
null
],
"enableAssistant": true,
"aiChatHistoryEnabled": true
},
"supportDescription": "example",
"accessDescription": "example",
"description": "example"
},
"entryId": "example",
"hidden": true,
"key": "example",
"links": {},
"meta": {},
"public": true,
"publishedId": "example",
"revId": "example",
"savedId": "example",
"scope": "dash",
"tenantId": "example",
"type": "",
"updatedAt": "example",
"updatedBy": "example",
"revUpdatedAt": "example",
"revUpdatedBy": "example",
"version": 1,
"workbookId": "example"
}
}
|
Name |
Description |
|
entry |
Type: DashboardV1 Example
|
EntryAnnotation
Type: object | null
Example
{
"description": "example"
}
DashboardV1
|
Name |
Description |
|
createdAt |
Type: string Example: |
|
createdBy |
Type: string Example: |
|
data |
Type: DashData Example
|
|
entryId |
Type: string Example: |
|
hidden |
Type: boolean |
|
key |
Type: string | null Example: |
|
meta |
Type: DashMeta Example
|
|
public |
Type: boolean |
|
publishedId |
Type: string | null Example: |
|
revId |
Type: string Example: |
|
savedId |
Type: string Example: |
|
scope |
Type: string Const: Example: |
|
tenantId |
Type: string Example: |
|
type |
Type: string Const: `` Example: |
|
updatedAt |
Type: string Example: |
|
updatedBy |
Type: string Example: |
|
version |
Type: number Const: |
|
workbookId |
Type: string | null Example: |
|
annotation |
Type: EntryAnnotation Example
|
|
links |
Type: object | null Example
|
|
revUpdatedAt |
Type: string Example: |
|
revUpdatedBy |
Type: string Example: |
Example
{
"annotation": {
"description": "example"
},
"createdAt": "example",
"createdBy": "example",
"data": {
"counter": 1,
"salt": "example",
"schemeVersion": 8,
"tabs": [
{
"id": "example",
"title": "example",
"hidden": true,
"items": [
null
],
"layout": [
{}
],
"connections": [
{}
],
"aliases": {
"default": [
null
]
},
"globalItems": [
null
],
"settings": {
"fixedHeaderCollapsedDefault": true,
"isGoldenset": true
}
}
],
"settings": {
"autoupdateInterval": 30,
"maxConcurrentRequests": 1,
"loadPriority": "charts",
"silentLoading": true,
"dependentSelectors": true,
"globalParams": {},
"signedGlobalParams": {},
"hideTabs": true,
"hideDashTitle": true,
"expandTOC": true,
"backgroundSettings": {
"color": {}
},
"widgetsSettings": {
"borderRadius": 0.5,
"backgroundSettings": {
"color": null
}
},
"loadOnlyVisibleCharts": true,
"margins": [
null
],
"enableAssistant": true,
"aiChatHistoryEnabled": true
},
"supportDescription": "example",
"accessDescription": "example",
"description": "example"
},
"entryId": "example",
"hidden": true,
"key": "example",
"links": {},
"meta": {},
"public": true,
"publishedId": "example",
"revId": "example",
"savedId": "example",
"scope": "dash",
"tenantId": "example",
"type": "",
"updatedAt": "example",
"updatedBy": "example",
"revUpdatedAt": "example",
"revUpdatedBy": "example",
"version": 1,
"workbookId": "example"
}